<h1 class="title">Edit Service</h1>

<div *ngIf="{service: serviceData$ | async} as data" class="container">
    <section >
        <ng-container *ngIf="!!data.service; else serviceNotFound">
            <m79-service-form
                [service]="data.service"
                (formChanged)="formChanged($event)"
            ></m79-service-form>
        </ng-container>
        <ng-template #serviceNotFound>
            <mat-error>No Service Found.</mat-error>
        </ng-template>
    </section> 
    <section>
        <button 
            class="save-btn"
            mat-raised-button 
            [disabled]="!data.service || !(isFormValid$ | async)"
            (click)="save(data.service?.id)"
        >Save</button>
        <br/>
        <button mat-raised-button [routerLink]="['/','services', 'detail', data.service?.id]">Cancel</button>
    </section>
</div> 


